Subject: Re: [GIT PULL -tip] fix 33 make headers_check warnings

From: Sam Ravnborg <[email-masked]>
Date: Fri, 23 Jan 2009 17:21:53 +0100

On Fri, Jan 23, 2009 at 05:11:13PM +0100, Jan Engelhardt wrote:
> 
> On Friday 2009-01-23 17:04, Jaswinder Singh Rajput wrote:
> >> > diff --git a/include/linux/dvb/audio.h b/include/linux/dvb/audio.h
> >> > index 89412e1..758a48c 100644
> >> > --- a/include/linux/dvb/audio.h
> >> > +++ b/include/linux/dvb/audio.h
> >> > @@ -24,9 +24,8 @@
> >> >  #ifndef _DVBAUDIO_H_
> >> >  #define _DVBAUDIO_H_
> >> >  
> >> > -#ifdef __KERNEL__
> >> >  #include <linux/types.h>
> >> > -#else
> >> > +#ifndef __KERNEL__
> >> >  #include <stdint.h>
> >> >  #endif
> >> > 
> >> 
> >> It seems one have objection for this. So I will again insert this in my
> >> new patchset.
> >> 
> >
> >oops, s/seems one/seems no one ;-)
> 
> I had an objection as previously stated -- namely that
> <stdint.h> should be included to remain friendly to C++0x
> programs which should use <cstdint> instead. Forcing
> stdint.h is therefore not nice.

This is fully agreed.
Jaswinder - can I ask you to do this change (remove of the stdint.h include)
in a follow-up patch. It is two independent changes.
You original patch is fine as is.

Thanks,
	Sam

--
To unsubscribe from this list: send the line "unsubscribe linux-nfs" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html